com.jscape.inet.imap

## Class ImapMessageProgressEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.imap.ImapMessageProgressEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ImapMessageProgressEvent
      extends java.util.EventObject

  Fired frequently during the progress of downloading a message from IMAP server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImapMessageProgressEvent(java.lang.Object source, int msg, long bytes, long totalBytes)` Creates ImapMessageProgressEvent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytes()` Gets number of bytes transferred for message so far.
    `int` | `getMessageIndex()` Gets the corresponding message index for this event
    `long` | `getTotalBytes()` Gets total message size in bytes

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImapMessageProgressEvent

          public ImapMessageProgressEvent(java.lang.Object source,
                                          int msg,
                                          long bytes,
                                          long totalBytes)

      Creates ImapMessageProgressEvent.
      Parameters:
        `source` - the source of the event
        `msg` - the message index for this event
        `bytes` - the total number of bytes transferred so far
        `totalBytes` - the total size of message in bytes

  - ### Method Detail

    - #### getBytes

          public long getBytes()

      Gets number of bytes transferred for message so far.
      Returns:
        number of bytes transferred

    - #### getTotalBytes

          public long getTotalBytes()

      Gets total message size in bytes
      Returns:
        total size of message in bytes

    - #### getMessageIndex

          public int getMessageIndex()

      Gets the corresponding message index for this event
      Returns:
        the message index

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved